/* tslint:disable */
/* eslint-disable */
/**
 * polyprint.v1
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import type { Configuration } from './configuration';
import type { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import globalAxios from 'axios';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from './common';
import type { RequestArgs } from './base';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, BaseAPI, RequiredError } from './base';

/**
 * 
 * @export
 * @interface CreatePrintOrder200Response
 */
export interface CreatePrintOrder200Response {
    /**
     * either application/pdf or image/jpeg depending on \"mode\" 
     * @type {any}
     * @memberof CreatePrintOrder200Response
     */
    'mime'?: any;
    /**
     * array of binary streams
     * @type {any}
     * @memberof CreatePrintOrder200Response
     */
    'files'?: any;
}
/**
 * 
 * @export
 * @interface CreatePrintOrderRequest
 */
export interface CreatePrintOrderRequest {
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequest
     */
    'document_id': any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequest
     */
    'print_type': CreatePrintOrderRequestPrintTypeEnum;
    /**
     * 
     * @type {CreatePrintOrderRequestPersonalizationData}
     * @memberof CreatePrintOrderRequest
     */
    'personalization_data': CreatePrintOrderRequestPersonalizationData;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequest
     */
    'channel_id': any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequest
     */
    'transaction_id': any;
    /**
     * 
     * @type {CreatePrintOrderRequestProductionData}
     * @memberof CreatePrintOrderRequest
     */
    'production_data': CreatePrintOrderRequestProductionData;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequest
     */
    'user_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequest
     */
    'customer_experience_id'?: any;
}

export const CreatePrintOrderRequestPrintTypeEnum = {
    Nfc: 'nfc',
    Postcard: 'postcard'
} as const;

export type CreatePrintOrderRequestPrintTypeEnum = typeof CreatePrintOrderRequestPrintTypeEnum[keyof typeof CreatePrintOrderRequestPrintTypeEnum];

/**
 * 
 * @export
 * @interface CreatePrintOrderRequestPersonalizationData
 */
export interface CreatePrintOrderRequestPersonalizationData {
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'firstName'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'lastName'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'email'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'phone'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'jobTitle'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'department'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'branch'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'nfcCode'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'qrCode'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'language'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'custom1'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'custom2'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'academicTitle'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'organization'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'link'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'street'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'streetNumber'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'doorNumber'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'zip'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'city'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'country'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderName'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderStreet'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'SenderStreetNo'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderDepartment'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderBranch'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderOrganization'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderCity'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderCountry'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'senderZip'?: any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestPersonalizationData
     */
    'date'?: any;
}
/**
 * 
 * @export
 * @interface CreatePrintOrderRequestProductionData
 */
export interface CreatePrintOrderRequestProductionData {
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'referenceId': any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'date': any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'productId': any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'quantity': any;
    /**
     * 
     * @type {PolyprintContact}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'deliveryContact': PolyprintContact;
    /**
     * 
     * @type {PolyprintContact}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'billingContact': PolyprintContact;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'expectedDeliveryDate': any;
    /**
     * 
     * @type {any}
     * @memberof CreatePrintOrderRequestProductionData
     */
    'nfcCode'?: any;
}
/**
 * 
 * @export
 * @interface GetUserSSOLink200Response
 */
export interface GetUserSSOLink200Response {
    /**
     * 
     * @type {any}
     * @memberof GetUserSSOLink200Response
     */
    'link'?: any;
}
/**
 * 
 * @export
 * @interface ListNfcOrders200Response
 */
export interface ListNfcOrders200Response {
    /**
     * 
     * @type {ListNfcOrders200ResponseAddress}
     * @memberof ListNfcOrders200Response
     */
    'address'?: ListNfcOrders200ResponseAddress;
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200Response
     */
    'channel_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200Response
     */
    'customer_experience_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200Response
     */
    'user_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200Response
     */
    'entrypoint'?: any;
}
/**
 * 
 * @export
 * @interface ListNfcOrders200ResponseAddress
 */
export interface ListNfcOrders200ResponseAddress {
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200ResponseAddress
     */
    'company_name'?: any;
    /**
     * example: Johny Bobby
     * @type {any}
     * @memberof ListNfcOrders200ResponseAddress
     */
    'recipient'?: any;
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200ResponseAddress
     */
    'street_with_house_number'?: any;
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200ResponseAddress
     */
    'zip'?: any;
    /**
     * 
     * @type {any}
     * @memberof ListNfcOrders200ResponseAddress
     */
    'city'?: any;
}
/**
 * 
 * @export
 * @interface NfcOrder200Response
 */
export interface NfcOrder200Response {
    /**
     * 
     * @type {any}
     * @memberof NfcOrder200Response
     */
    'link'?: any;
}
/**
 * 
 * @export
 * @interface NfcOrderRequest
 */
export interface NfcOrderRequest {
    /**
     * 
     * @type {NfcOrderRequestAddress}
     * @memberof NfcOrderRequest
     */
    'address'?: NfcOrderRequestAddress;
    /**
     * 
     * @type {any}
     * @memberof NfcOrderRequest
     */
    'channel_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcOrderRequest
     */
    'customer_experience_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcOrderRequest
     */
    'user_id'?: any;
}
/**
 * 
 * @export
 * @interface NfcOrderRequestAddress
 */
export interface NfcOrderRequestAddress {
    /**
     * 
     * @type {any}
     * @memberof NfcOrderRequestAddress
     */
    'company_name'?: any;
    /**
     * example: Johny Bobby
     * @type {any}
     * @memberof NfcOrderRequestAddress
     */
    'recipient'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcOrderRequestAddress
     */
    'street_with_house_number'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcOrderRequestAddress
     */
    'zip'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcOrderRequestAddress
     */
    'city'?: any;
}
/**
 * 
 * @export
 * @interface NfcReorder200Response
 */
export interface NfcReorder200Response {
    /**
     * 
     * @type {any}
     * @memberof NfcReorder200Response
     */
    'link'?: any;
}
/**
 * 
 * @export
 * @interface NfcReorderRequest
 */
export interface NfcReorderRequest {
    /**
     * 
     * @type {NfcReorderRequestAddress}
     * @memberof NfcReorderRequest
     */
    'address'?: NfcReorderRequestAddress;
    /**
     * 
     * @type {any}
     * @memberof NfcReorderRequest
     */
    'channel_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcReorderRequest
     */
    'customer_experience_id'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcReorderRequest
     */
    'user_id'?: any;
}
/**
 * 
 * @export
 * @interface NfcReorderRequestAddress
 */
export interface NfcReorderRequestAddress {
    /**
     * 
     * @type {any}
     * @memberof NfcReorderRequestAddress
     */
    'company_name'?: any;
    /**
     * example: Johny Bobby
     * @type {any}
     * @memberof NfcReorderRequestAddress
     */
    'recipient'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcReorderRequestAddress
     */
    'street_with_house_number'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcReorderRequestAddress
     */
    'zip'?: any;
    /**
     * 
     * @type {any}
     * @memberof NfcReorderRequestAddress
     */
    'city'?: any;
}
/**
 * 
 * @export
 * @interface PolyprintContact
 */
export interface PolyprintContact {
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'emailAddress'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'phone'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'firstname'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'lastname'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'company'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'gender'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'academicTitle'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContact
     */
    'countryId'?: any;
    /**
     * 
     * @type {PolyprintContactAddress}
     * @memberof PolyprintContact
     */
    'address'?: PolyprintContactAddress;
}
/**
 * 
 * @export
 * @interface PolyprintContactAddress
 */
export interface PolyprintContactAddress {
    /**
     * 
     * @type {any}
     * @memberof PolyprintContactAddress
     */
    'countryId'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContactAddress
     */
    'street'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContactAddress
     */
    'zipCode'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContactAddress
     */
    'city'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContactAddress
     */
    'state'?: any;
    /**
     * 
     * @type {any}
     * @memberof PolyprintContactAddress
     */
    'houseNo'?: any;
}

/**
 * DefaultApi - axios parameter creator
 * @export
 */
export const DefaultApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Create print order
         * @param {any} organizationId 
         * @param {CreatePrintOrderRequest} [createPrintOrderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createPrintOrder: async (organizationId: any, createPrintOrderRequest?: CreatePrintOrderRequest, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'organizationId' is not null or undefined
            assertParamExists('createPrintOrder', 'organizationId', organizationId)
            const localVarPath = `/integrations/{organization_id}/print-orders`
                .replace(`{${"organization_id"}}`, encodeURIComponent(String(organizationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createPrintOrderRequest, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get user sso link
         * @param {any} organizationId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserSSOLink: async (organizationId: any, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'organizationId' is not null or undefined
            assertParamExists('getUserSSOLink', 'organizationId', organizationId)
            const localVarPath = `/integrations/{organization_id}/sso-link`
                .replace(`{${"organization_id"}}`, encodeURIComponent(String(organizationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get list of print orders
         * @param {any} organizationId 
         * @param {any} [userIds] 
         * @param {any} [channelId] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        integrationsOrganizationIdPrintOrdersGet: async (organizationId: any, userIds?: any, channelId?: any, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'organizationId' is not null or undefined
            assertParamExists('integrationsOrganizationIdPrintOrdersGet', 'organizationId', organizationId)
            const localVarPath = `/integrations/{organization_id}/print-orders`
                .replace(`{${"organization_id"}}`, encodeURIComponent(String(organizationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            if (userIds !== undefined) {
                localVarQueryParameter['user_ids[]'] = userIds;
            }

            if (channelId !== undefined) {
                localVarQueryParameter['channel_id'] = channelId;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary List NFC orders for users
         * @param {any} organizationId 
         * @param {any} [userIds] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        listNfcOrders: async (organizationId: any, userIds?: any, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'organizationId' is not null or undefined
            assertParamExists('listNfcOrders', 'organizationId', organizationId)
            const localVarPath = `/integrations/{organization_id}/nfc-orders`
                .replace(`{${"organization_id"}}`, encodeURIComponent(String(organizationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            if (userIds !== undefined) {
                localVarQueryParameter['user_ids[]'] = userIds;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary NFC Order
         * @param {any} organizationId 
         * @param {NfcOrderRequest} [nfcOrderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        nfcOrder: async (organizationId: any, nfcOrderRequest?: NfcOrderRequest, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'organizationId' is not null or undefined
            assertParamExists('nfcOrder', 'organizationId', organizationId)
            const localVarPath = `/integrations/{organization_id}/nfc-order`
                .replace(`{${"organization_id"}}`, encodeURIComponent(String(organizationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(nfcOrderRequest, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * Reorder NFC for user which already had at least one existing order before. Entrypointfrom the last order will be reused.
         * @summary Reorder NFC
         * @param {any} organizationId 
         * @param {NfcReorderRequest} [nfcReorderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        nfcReorder: async (organizationId: any, nfcReorderRequest?: NfcReorderRequest, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'organizationId' is not null or undefined
            assertParamExists('nfcReorder', 'organizationId', organizationId)
            const localVarPath = `/integrations/{organization_id}/nfc-reorder`
                .replace(`{${"organization_id"}}`, encodeURIComponent(String(organizationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(nfcReorderRequest, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * DefaultApi - functional programming interface
 * @export
 */
export const DefaultApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = DefaultApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Create print order
         * @param {any} organizationId 
         * @param {CreatePrintOrderRequest} [createPrintOrderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async createPrintOrder(organizationId: any, createPrintOrderRequest?: CreatePrintOrderRequest, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CreatePrintOrder200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.createPrintOrder(organizationId, createPrintOrderRequest, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get user sso link
         * @param {any} organizationId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async getUserSSOLink(organizationId: any, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GetUserSSOLink200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.getUserSSOLink(organizationId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get list of print orders
         * @param {any} organizationId 
         * @param {any} [userIds] 
         * @param {any} [channelId] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async integrationsOrganizationIdPrintOrdersGet(organizationId: any, userIds?: any, channelId?: any, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<any>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.integrationsOrganizationIdPrintOrdersGet(organizationId, userIds, channelId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary List NFC orders for users
         * @param {any} organizationId 
         * @param {any} [userIds] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async listNfcOrders(organizationId: any, userIds?: any, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ListNfcOrders200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.listNfcOrders(organizationId, userIds, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary NFC Order
         * @param {any} organizationId 
         * @param {NfcOrderRequest} [nfcOrderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async nfcOrder(organizationId: any, nfcOrderRequest?: NfcOrderRequest, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<NfcOrder200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.nfcOrder(organizationId, nfcOrderRequest, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * Reorder NFC for user which already had at least one existing order before. Entrypointfrom the last order will be reused.
         * @summary Reorder NFC
         * @param {any} organizationId 
         * @param {NfcReorderRequest} [nfcReorderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async nfcReorder(organizationId: any, nfcReorderRequest?: NfcReorderRequest, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<NfcReorder200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.nfcReorder(organizationId, nfcReorderRequest, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * DefaultApi - factory interface
 * @export
 */
export const DefaultApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = DefaultApiFp(configuration)
    return {
        /**
         * 
         * @summary Create print order
         * @param {any} organizationId 
         * @param {CreatePrintOrderRequest} [createPrintOrderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createPrintOrder(organizationId: any, createPrintOrderRequest?: CreatePrintOrderRequest, options?: any): AxiosPromise<CreatePrintOrder200Response> {
            return localVarFp.createPrintOrder(organizationId, createPrintOrderRequest, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get user sso link
         * @param {any} organizationId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserSSOLink(organizationId: any, options?: any): AxiosPromise<GetUserSSOLink200Response> {
            return localVarFp.getUserSSOLink(organizationId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get list of print orders
         * @param {any} organizationId 
         * @param {any} [userIds] 
         * @param {any} [channelId] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        integrationsOrganizationIdPrintOrdersGet(organizationId: any, userIds?: any, channelId?: any, options?: any): AxiosPromise<any> {
            return localVarFp.integrationsOrganizationIdPrintOrdersGet(organizationId, userIds, channelId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary List NFC orders for users
         * @param {any} organizationId 
         * @param {any} [userIds] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        listNfcOrders(organizationId: any, userIds?: any, options?: any): AxiosPromise<ListNfcOrders200Response> {
            return localVarFp.listNfcOrders(organizationId, userIds, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary NFC Order
         * @param {any} organizationId 
         * @param {NfcOrderRequest} [nfcOrderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        nfcOrder(organizationId: any, nfcOrderRequest?: NfcOrderRequest, options?: any): AxiosPromise<NfcOrder200Response> {
            return localVarFp.nfcOrder(organizationId, nfcOrderRequest, options).then((request) => request(axios, basePath));
        },
        /**
         * Reorder NFC for user which already had at least one existing order before. Entrypointfrom the last order will be reused.
         * @summary Reorder NFC
         * @param {any} organizationId 
         * @param {NfcReorderRequest} [nfcReorderRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        nfcReorder(organizationId: any, nfcReorderRequest?: NfcReorderRequest, options?: any): AxiosPromise<NfcReorder200Response> {
            return localVarFp.nfcReorder(organizationId, nfcReorderRequest, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * DefaultApi - object-oriented interface
 * @export
 * @class DefaultApi
 * @extends {BaseAPI}
 */
export class DefaultApi extends BaseAPI {
    /**
     * 
     * @summary Create print order
     * @param {any} organizationId 
     * @param {CreatePrintOrderRequest} [createPrintOrderRequest] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    public createPrintOrder(organizationId: any, createPrintOrderRequest?: CreatePrintOrderRequest, options?: AxiosRequestConfig) {
        return DefaultApiFp(this.configuration).createPrintOrder(organizationId, createPrintOrderRequest, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get user sso link
     * @param {any} organizationId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    public getUserSSOLink(organizationId: any, options?: AxiosRequestConfig) {
        return DefaultApiFp(this.configuration).getUserSSOLink(organizationId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get list of print orders
     * @param {any} organizationId 
     * @param {any} [userIds] 
     * @param {any} [channelId] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    public integrationsOrganizationIdPrintOrdersGet(organizationId: any, userIds?: any, channelId?: any, options?: AxiosRequestConfig) {
        return DefaultApiFp(this.configuration).integrationsOrganizationIdPrintOrdersGet(organizationId, userIds, channelId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary List NFC orders for users
     * @param {any} organizationId 
     * @param {any} [userIds] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    public listNfcOrders(organizationId: any, userIds?: any, options?: AxiosRequestConfig) {
        return DefaultApiFp(this.configuration).listNfcOrders(organizationId, userIds, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary NFC Order
     * @param {any} organizationId 
     * @param {NfcOrderRequest} [nfcOrderRequest] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    public nfcOrder(organizationId: any, nfcOrderRequest?: NfcOrderRequest, options?: AxiosRequestConfig) {
        return DefaultApiFp(this.configuration).nfcOrder(organizationId, nfcOrderRequest, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * Reorder NFC for user which already had at least one existing order before. Entrypointfrom the last order will be reused.
     * @summary Reorder NFC
     * @param {any} organizationId 
     * @param {NfcReorderRequest} [nfcReorderRequest] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    public nfcReorder(organizationId: any, nfcReorderRequest?: NfcReorderRequest, options?: AxiosRequestConfig) {
        return DefaultApiFp(this.configuration).nfcReorder(organizationId, nfcReorderRequest, options).then((request) => request(this.axios, this.basePath));
    }
}



